# Class Thelia\Model\om\BaseGroupResourceQuery | thelia

# Class BaseGroupResourceQuery

Base class that represents a query for the 'group_resource' table.

  ModelCriteria
  Thelia\Model\om\BaseGroupResourceQuery

#### Direct known subclasses

Thelia\Model\GroupResourceQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseGroupResourceQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\GroupResource', string $modelAlias = null )`

Initializes internal state of BaseGroupResourceQuery object.

Initializes internal state of BaseGroupResourceQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\GroupResourceQuery``

# `create( string $modelAlias = null, `Thelia\Model\GroupResourceQuery`|Criteria $criteria = null )`

Returns a new GroupResourceQuery object.

Returns a new GroupResourceQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\GroupResourceQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResource`|`Thelia\Model\GroupResource[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\GroupResource`|`Thelia\Model\GroupResource[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\GroupResource``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\GroupResource``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\GroupResource`|`Thelia\Model\GroupResource[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\GroupResource`|`Thelia\Model\GroupResource[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\GroupResource[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\GroupResource[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\GroupResourceQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByGroupId( mixed $groupId = null, string $comparison = null )`

Filter the query on the group_id column

Filter the query on the group_id column

Example usage:

    $query->filterByGroupId(1234); // WHERE group_id = 1234
    $query->filterByGroupId(array(12, 34)); // WHERE group_id IN (12, 34)
    $query->filterByGroupId(array('min' => 12)); // WHERE group_id > 12

#### Parameters

$groupId
  `mixed`
  $groupId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseGroupResourceQuery::filterByGroup()``

`public `Thelia\Model\GroupResourceQuery``

# `filterByResourceId( mixed $resourceId = null, string $comparison = null )`

Filter the query on the resource_id column

Filter the query on the resource_id column

Example usage:

    $query->filterByResourceId(1234); // WHERE resource_id = 1234
    $query->filterByResourceId(array(12, 34)); // WHERE resource_id IN (12, 34)
    $query->filterByResourceId(array('min' => 12)); // WHERE resource_id > 12

#### Parameters

$resourceId
  `mixed`
  $resourceId The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseGroupResourceQuery::filterByResource()``

`public `Thelia\Model\GroupResourceQuery``

# `filterByRead( mixed $read = null, string $comparison = null )`

Filter the query on the read column

Filter the query on the read column

Example usage:

    $query->filterByRead(1234); // WHERE read = 1234
    $query->filterByRead(array(12, 34)); // WHERE read IN (12, 34)
    $query->filterByRead(array('min' => 12)); // WHERE read > 12

#### Parameters

$read
  `mixed`
  $read The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByWrite( mixed $write = null, string $comparison = null )`

Filter the query on the write column

Filter the query on the write column

Example usage:

    $query->filterByWrite(1234); // WHERE write = 1234
    $query->filterByWrite(array(12, 34)); // WHERE write IN (12, 34)
    $query->filterByWrite(array('min' => 12)); // WHERE write > 12

#### Parameters

$write
  `mixed`
  $write The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `filterByGroup( `Thelia\Model\Group`|PropelObjectCollection $group, string $comparison = null )`

Filter the query by a related Group object

Filter the query by a related Group object

#### Parameters

$group
  ``Thelia\Model\Group`|PropelObjectCollection`
  $group The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\GroupResourceQuery``

# `joinGroup( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Group relation

Adds a JOIN clause to the query using the Group relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupQuery``

# `useGroupQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Group relation Group object

Use the Group relation Group object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\GroupQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\GroupResourceQuery``

# `filterByResource( `Thelia\Model\Resource`|PropelObjectCollection $resource, string $comparison = null )`

Filter the query by a related Resource object

Filter the query by a related Resource object

#### Parameters

$resource
  ``Thelia\Model\Resource`|PropelObjectCollection`
  $resource The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\GroupResourceQuery``

# `joinResource( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Resource relation

Adds a JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\ResourceQuery``

# `useResourceQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Resource relation Resource object

Use the Resource relation Resource object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\ResourceQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\GroupResourceQuery``

# `prune( `Thelia\Model\GroupResource` $groupResource = null )`

Exclude object from result

Exclude object from result

#### Parameters

$groupResource
  ``Thelia\Model\GroupResource``
  $groupResource Object to remove from the list of results

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

`public `Thelia\Model\GroupResourceQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\GroupResourceQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\GroupResourceQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByGroupId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the group_id column

Order by the group_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByResourceId( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the resource_id column

Order by the resource_id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByRead( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the read column

Order by the read column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByWrite( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the write column

Order by the write column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByGroupId( )`

Group by the group_id column

Group by the group_id column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByResourceId( )`

Group by the resource_id column

Group by the resource_id column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByRead( )`

Group by the read column

Group by the read column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByWrite( )`

Group by the write column

Group by the write column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `leftJoinGroup( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Group relation

Adds a LEFT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `rightJoinGroup( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Group relation

Adds a RIGHT JOIN clause to the query using the Group relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `innerJoinGroup( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Group relation

Adds a INNER JOIN clause to the query using the Group relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `leftJoinResource( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Resource relation

Adds a LEFT JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `rightJoinResource( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Resource relation

Adds a RIGHT JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResourceQuery``

# `innerJoinResource( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Resource relation

Adds a INNER JOIN clause to the query using the Resource relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\GroupResourceQuery``

`public `Thelia\Model\GroupResource``

# `findOne( PropelPDO $con = null )`

Return the first GroupResource matching the query

Return the first GroupResource matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first GroupResource matching the query, or a new GroupResource object populated from the query conditions when no match is found

Return the first GroupResource matching the query, or a new GroupResource object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneById( integer $id = )`

Return the first GroupResource filtered by the id column

Return the first GroupResource filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByGroupId( integer $group_id = )`

Return the first GroupResource filtered by the group_id column

Return the first GroupResource filtered by the group_id column

#### Parameters

$group_id
  `integer`
  $group_id

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByResourceId( integer $resource_id = )`

Return the first GroupResource filtered by the resource_id column

Return the first GroupResource filtered by the resource_id column

#### Parameters

$resource_id
  `integer`
  $resource_id

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByRead( integer $read = )`

Return the first GroupResource filtered by the read column

Return the first GroupResource filtered by the read column

#### Parameters

$read
  `integer`
  $read

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByWrite( integer $write = )`

Return the first GroupResource filtered by the write column

Return the first GroupResource filtered by the write column

#### Parameters

$write
  `integer`
  $write

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByCreatedAt( string $created_at = )`

Return the first GroupResource filtered by the created_at column

Return the first GroupResource filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\GroupResource``

`public `Thelia\Model\GroupResource``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first GroupResource filtered by the updated_at column

Return the first GroupResource filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\GroupResource``

`public array`

# `findById( integer $id = )`

Return GroupResource objects filtered by the id column

Return GroupResource objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByGroupId( integer $group_id = )`

Return GroupResource objects filtered by the group_id column

Return GroupResource objects filtered by the group_id column

#### Parameters

$group_id
  `integer`
  $group_id

#### Returns

`array`

`public array`

# `findByResourceId( integer $resource_id = )`

Return GroupResource objects filtered by the resource_id column

Return GroupResource objects filtered by the resource_id column

#### Parameters

$resource_id
  `integer`
  $resource_id

#### Returns

`array`

`public array`

# `findByRead( integer $read = )`

Return GroupResource objects filtered by the read column

Return GroupResource objects filtered by the read column

#### Parameters

$read
  `integer`
  $read

#### Returns

`array`

`public array`

# `findByWrite( integer $write = )`

Return GroupResource objects filtered by the write column

Return GroupResource objects filtered by the write column

#### Parameters

$write
  `integer`
  $write

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return GroupResource objects filtered by the created_at column

Return GroupResource objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return GroupResource objects filtered by the updated_at column

Return GroupResource objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`